# Maintainer: tioguda <guda.flavio@gmail.com>

_pkgname=blur-grub2
pkgname=("${_pkgname}-fullhd")
pkgver=20190208
pkgrel=12
pkgdesc="A Full HD Blur theme for Grub"
arch=("any")
url="https://www.gnome-look.org/p/1220920"
license=('none')
makedepends=('imagemagick')
install=grub-theme.install
source=("https://dl.opendesktop.org/api/files/download/id/1520545213/s/c360f2a4e2626c9e7f442760de7db2e1802a71349a5db6a20fbfc57c44e9e5648596dd46aa1964810d3bb15596b48c982723e63b66a58bb12420297acbac3a82/t/1548661704/u//${_pkgname}_fullhd.tar.gz"
        "https://metainfo.manjariando.com.br/${pkgname}/com.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/grub.png")
sha256sums=('bc761bc9ddf91ea31697b098239fc6361dd85ffa2165a40efc52621d004a25a3'
            'd8bbebf0051c5cb03839e3494a2bb0bf524d1997938a3ee6484ee34a1a50b46c'
            'b013684ded755a4ad7029f70f51d8acafe494d7b9f8772674f6e7510791d043a')

_blur_desktop="[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=
Exec=
Categories=Utility;
NoDisplay=true"

build() {
    cd "${srcdir}"
    echo -e "$_blur_desktop" | tee com.${pkgname//-/_}.desktop
}

package() {
    depends=('grub')

    cd ${srcdir}/${_pkgname}_fullhd
    install -dm755 ${pkgdir}/boot/grub/themes/${pkgname}
    cp -r ${pkgname}/* ${pkgdir}/boot/grub/themes/${pkgname}

    # Appstream
    install -Dm644 "${srcdir}/com.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${pkgname}.metainfo.xml"
    install -Dm644 "${srcdir}/com.${pkgname//-/_}.desktop" \
        "${pkgdir}/usr/share/applications/com.${pkgname//-/_}.desktop"

    for size in 22 24 32 48 64 128; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${srcdir}/grub.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/${pkgname}.png"
    done

    sed -i "s:PACKAGE=.*:PACKAGE=${pkgname}:" "${startdir}/grub-theme.install"
}
